To use language, you need to import the resource js file as follows:
You can use following code to switch language package
When you want to change another language, please recalculate the spread formula by calling the following code:
Language Package Effection
Function name resource like 'SUM' will changes to 'SOMME' in French.
Table function name resource like '#ALL, #Data' will changes to '#Tout, #Données' in French.
Special function logic like 'LENB' will be different result in different language.
CalcError name resource like '#NULL!' will be '#NOM?' in French.
Boolean value resource like 'FALSE' will be 'FAUX' in French.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById('ss'));
initSpread(spread);
};
function initSpread(spread) {
var sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 130);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 70);
sheet.setColumnWidth(5, 100);
var source = [
{ Course: "Calculus", Term: 1, Credit: 5, Score: 80, Teacher: "Nancy Feehafer" },
{ Course: "P.E.", Term: 1, Credit: 3.5, Score: 85, Teacher: "Andrew Cencini" },
{ Course: "Political Economics", Term: 1, Credit: 3.5, Score: 95, Teacher: "Jan Kotas" },
{ Course: "Basic of Computer", Term: 1, Credit: 2, Score: 85, Teacher: "Steven Thorpe" },
{ Course: "Micro-Economics", Term: 1, Credit: 4, Score: 62, Teacher: "Jan Kotas" },
{ Course: "Linear Algebra", Term: 2, Credit: 5, Score: 73, Teacher: "Nancy Feehafer" },
{ Course: "Accounting", Term: 2, Credit: 3.5, Score: 86, Teacher: "Nancy Feehafer" },
{ Course: "Statistics", Term: 2, Credit: 5, Score: 85, Teacher: "Robert Zare" },
{ Course: "Marketing", Term: 2, Credit: 4, Score: 70, Teacher: "Laura Giussani" }
];
sheet.tables.addFromDataSource("Table1", 2, 1, source, GC.Spread.Sheets.Tables.TableThemes.medium7);
sheet.setValue(0, 1, "Switch the language and check the SUM formula changes");
sheet.setValue(13, 2, "SUM:");
sheet.setFormula(13, 3, "=SUM(Table1[[#Data], [Credit]])");
sheet.setFormula(13, 4, "=FORMULATEXT(D14)");
sheet.getRange(13, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(13, 4, 1, 3);
sheet.setValue(15, 2, "LENB:");
sheet.setFormula(15, 3, '=LENB("SpreadJS")');
sheet.setFormula(15, 4, "=FORMULATEXT(D16)");
sheet.getRange(15, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(15, 4, 1, 3);
spread.resumePaint();
var selectDiv = document.getElementById('languageSelect');
selectDiv.addEventListener('change',function() {
var languageName = this.value;
GC.Spread.CalcEngine.LanguagePackages.languagePackages(languageName);
sheet.recalcAll(true);
});
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-languagepackages/dist/gc.spread.calcengine.languagepackages.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
Please choose one language from the drop-down list and check the localized function changes.
<select id="languageSelect" class="drop-down-list">
<option value="en">English</option>
<option value="zh">China</option>
<option value="ja">Japan</option>
<option value="ko">Korea/Korean </option>
<option value="fr">French</option>
<option value="nl">Dutch</option>
<option value="de">German</option>
<option value="es">Spanish</option>
<option value="pt">Portuguese</option>
<option value="ru">Russian</option>
<option value="sv">Swedish</option>
<option value="it">Italian</option>
<option value="da">Danish</option>
<option value="pl">Polish</option>
<option value="fi">Finnish</option>
<option value="no">Norwegian</option>
<option value="cs">Czech </option>
<option value="hu">Hungarian</option>
<option value="tr">Turkish</option>
</select>
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height:100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
.option-row {
margin-bottom: 12px;
}
.drop-down-list {
margin-top: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

To use language, you need to import the resource js file as follows:
You can use following code to switch language package
When you want to change another language, please recalculate the spread formula by calling the following code:
Language Package Effection
Function name resource like 'SUM' will changes to 'SOMME' in French.
Table function name resource like '#ALL, #Data' will changes to '#Tout, #Données' in French.
Special function logic like 'LENB' will be different result in different language.
CalcError name resource like '#NULL!' will be '#NOM?' in French.
Boolean value resource like 'FALSE' will be 'FAUX' in French.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="options-container">
<div class="option-row">
Please choose one language from the drop-down list and check the localized function changes.
<select id="languageSelect" class="drop-down-list" @change="applyLanguage($event)">
<option value="en">English</option>
<option value="zh">China</option>
<option value="ja">Japan</option>
<option value="ko">Korea/Korean</option>
<option value="fr">French</option>
<option value="nl">Dutch</option>
<option value="de">German</option>
<option value="es">Spanish</option>
<option value="pt">Portuguese</option>
<option value="ru">Russian</option>
<option value="sv">Swedish</option>
<option value="it">Italian</option>
<option value="da">Danish</option>
<option value="pl">Polish</option>
<option value="fi">Finnish</option>
<option value="no">Norwegian</option>
<option value="cs">Czech</option>
<option value="hu">Hungarian</option>
<option value="tr">Turkish</option>
</select>
</div>
</div>
</div>
</div>
</template>
<script setup>
import {ref} from 'vue';
import '@mescius/spread-sheets-vue'
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-languagepackages';
const spreadRef = ref(null);
const initSpread = (spread) => {
spreadRef.value = spread;
var sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 130);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 70);
sheet.setColumnWidth(5, 100);
var source = [
{Course: "Calculus", Term: 1, Credit: 5, Score: 80, Teacher: "Nancy Feehafer"},
{Course: "P.E.", Term: 1, Credit: 3.5, Score: 85, Teacher: "Andrew Cencini"},
{Course: "Political Economics", Term: 1, Credit: 3.5, Score: 95, Teacher: "Jan Kotas"},
{Course: "Basic of Computer", Term: 1, Credit: 2, Score: 85, Teacher: "Steven Thorpe"},
{Course: "Micro-Economics", Term: 1, Credit: 4, Score: 62, Teacher: "Jan Kotas"},
{Course: "Linear Algebra", Term: 2, Credit: 5, Score: 73, Teacher: "Nancy Feehafer"},
{Course: "Accounting", Term: 2, Credit: 3.5, Score: 86, Teacher: "Nancy Feehafer"},
{Course: "Statistics", Term: 2, Credit: 5, Score: 85, Teacher: "Robert Zare"},
{Course: "Marketing", Term: 2, Credit: 4, Score: 70, Teacher: "Laura Giussani"}
];
sheet.tables.addFromDataSource("Table1", 2, 1, source, GC.Spread.Sheets.Tables.TableThemes.medium7);
sheet.setValue(0, 1, "Switch the language and check the SUM formula changes");
sheet.setValue(13, 2, "SUM:");
sheet.setFormula(13, 3, "=SUM(Table1[[#Data], [Credit]])");
sheet.setFormula(13, 4, "=FORMULATEXT(D14)");
sheet.getRange(13, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(13, 4, 1, 3);
sheet.setValue(15, 2, "LENB:");
sheet.setFormula(15, 3, '=LENB("SpreadJS")');
sheet.setFormula(15, 4, "=FORMULATEXT(D16)");
sheet.getRange(15, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(15, 4, 1, 3);
spread.resumePaint();
}
const applyLanguage = (e) => {
var languageName = e.target.value;
GC.Spread.CalcEngine.LanguagePackages.languagePackages(languageName);
spreadRef.value.sheets[0].recalcAll();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
margin-bottom: 12px;
}
.drop-down-list {
margin-top: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html lang="en" style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-languagepackages': 'npm:@mescius/spread-sheets-languagepackages/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

To use language, you need to import the resource js file as follows:
You can use following code to switch language package
When you want to change another language, please recalculate the spread formula by calling the following code:
Language Package Effection
Function name resource like 'SUM' will changes to 'SOMME' in French.
Table function name resource like '#ALL, #Data' will changes to '#Tout, #Données' in French.
Special function logic like 'LENB' will be different result in different language.
CalcError name resource like '#NULL!' will be '#NOM?' in French.
Boolean value resource like 'FALSE' will be 'FAUX' in French.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-languagepackages';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const useState = React.useState;
export function AppFunc() {
const [spread,setSpread]=useState(null);
const initSpread =(spread)=> {
setSpread(spread);
var sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 130);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 70);
sheet.setColumnWidth(5, 100);
var source = [
{ Course: "Calculus", Term: 1, Credit: 5, Score: 80, Teacher: "Nancy Feehafer" },
{ Course: "P.E.", Term: 1, Credit: 3.5, Score: 85, Teacher: "Andrew Cencini" },
{ Course: "Political Economics", Term: 1, Credit: 3.5, Score: 95, Teacher: "Jan Kotas" },
{ Course: "Basic of Computer", Term: 1, Credit: 2, Score: 85, Teacher: "Steven Thorpe" },
{ Course: "Micro-Economics", Term: 1, Credit: 4, Score: 62, Teacher: "Jan Kotas" },
{ Course: "Linear Algebra", Term: 2, Credit: 5, Score: 73, Teacher: "Nancy Feehafer" },
{ Course: "Accounting", Term: 2, Credit: 3.5, Score: 86, Teacher: "Nancy Feehafer" },
{ Course: "Statistics", Term: 2, Credit: 5, Score: 85, Teacher: "Robert Zare" },
{ Course: "Marketing", Term: 2, Credit: 4, Score: 70, Teacher: "Laura Giussani" }
];
sheet.tables.addFromDataSource("Table1", 2, 1, source, GC.Spread.Sheets.Tables.TableThemes.medium7);
sheet.setValue(0, 1, "Switch the language and check the SUM formula changes");
sheet.setValue(13, 2, "SUM:");
sheet.setFormula(13, 3, "=SUM(Table1[[#Data], [Credit]])");
sheet.setFormula(13, 4, "=FORMULATEXT(D14)");
sheet.getRange(13, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(13, 4, 1, 3);
sheet.setValue(15, 2, "LENB:");
sheet.setFormula(15, 3, '=LENB("SpreadJS")');
sheet.setFormula(15, 4, "=FORMULATEXT(D16)");
sheet.getRange(15, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(15, 4, 1, 3);
spread.resumePaint();
}
const applyLanguage=(e) =>{
var languageName = e.target.value;
GC.Spread.CalcEngine.LanguagePackages.languagePackages(languageName);
spread.sheets[0].recalcAll(true);
}
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<Panel applyLanguage={(e)=>{applyLanguage(e)}} />
</div>;
}
function Panel(props){
return(
<div class="options-container">
<div class="option-row">
Please choose one language from the drop-down list and check the localized function changes.
<select id="languageSelect" class="drop-down-list" onChange={(e)=>{props.applyLanguage(e)}}>
<option value="en">English</option>
<option value="zh">China</option>
<option value="ja">Japan</option>
<option value="ko">Korea/Korean </option>
<option value="fr">French</option>
<option value="nl">Dutch</option>
<option value="de">German</option>
<option value="es">Spanish</option>
<option value="pt">Portuguese</option>
<option value="ru">Russian</option>
<option value="sv">Swedish</option>
<option value="it">Italian</option>
<option value="da">Danish</option>
<option value="pl">Polish</option>
<option value="fi">Finnish</option>
<option value="no">Norwegian</option>
<option value="cs">Czech </option>
<option value="hu">Hungarian</option>
<option value="tr">Turkish</option>
</select>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-languagepackages';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<Panel applyLanguage={(e)=>{this.applyLanguage(e)}} />
</div>;
}
initSpread(spread) {
this.spread = spread;
var sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 130);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 70);
sheet.setColumnWidth(5, 100);
var source = [
{ Course: "Calculus", Term: 1, Credit: 5, Score: 80, Teacher: "Nancy Feehafer" },
{ Course: "P.E.", Term: 1, Credit: 3.5, Score: 85, Teacher: "Andrew Cencini" },
{ Course: "Political Economics", Term: 1, Credit: 3.5, Score: 95, Teacher: "Jan Kotas" },
{ Course: "Basic of Computer", Term: 1, Credit: 2, Score: 85, Teacher: "Steven Thorpe" },
{ Course: "Micro-Economics", Term: 1, Credit: 4, Score: 62, Teacher: "Jan Kotas" },
{ Course: "Linear Algebra", Term: 2, Credit: 5, Score: 73, Teacher: "Nancy Feehafer" },
{ Course: "Accounting", Term: 2, Credit: 3.5, Score: 86, Teacher: "Nancy Feehafer" },
{ Course: "Statistics", Term: 2, Credit: 5, Score: 85, Teacher: "Robert Zare" },
{ Course: "Marketing", Term: 2, Credit: 4, Score: 70, Teacher: "Laura Giussani" }
];
sheet.tables.addFromDataSource("Table1", 2, 1, source, GC.Spread.Sheets.Tables.TableThemes.medium7);
sheet.setValue(0, 1, "Switch the language and check the SUM formula changes");
sheet.setValue(13, 2, "SUM:");
sheet.setFormula(13, 3, "=SUM(Table1[[#Data], [Credit]])");
sheet.setFormula(13, 4, "=FORMULATEXT(D14)");
sheet.getRange(13, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(13, 4, 1, 3);
sheet.setValue(15, 2, "LENB:");
sheet.setFormula(15, 3, '=LENB("SpreadJS")');
sheet.setFormula(15, 4, "=FORMULATEXT(D16)");
sheet.getRange(15, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(15, 4, 1, 3);
spread.resumePaint();
}
applyLanguage(e) {
var languageName = e.target.value;
GC.Spread.CalcEngine.LanguagePackages.languagePackages(languageName);
this.spread.sheets[0].recalcAll(true);
}
}
class Panel extends Component{
constructor(props){
super(props);
}
render(){
return(
<div class="options-container">
<div class="option-row">
Please choose one language from the drop-down list and check the localized function changes.
<select id="languageSelect" class="drop-down-list" onChange={(e)=>{this.props.applyLanguage(e)}}>
<option value="en">English</option>
<option value="zh">China</option>
<option value="ja">Japan</option>
<option value="ko">Korea/Korean </option>
<option value="fr">French</option>
<option value="nl">Dutch</option>
<option value="de">German</option>
<option value="es">Spanish</option>
<option value="pt">Portuguese</option>
<option value="ru">Russian</option>
<option value="sv">Swedish</option>
<option value="it">Italian</option>
<option value="da">Danish</option>
<option value="pl">Polish</option>
<option value="fi">Finnish</option>
<option value="no">Norwegian</option>
<option value="cs">Czech </option>
<option value="hu">Hungarian</option>
<option value="tr">Turkish</option>
</select>
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
margin-bottom: 12px;
}
.drop-down-list {
margin-top: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-languagepackages': 'npm:@mescius/spread-sheets-languagepackages/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

To use language, you need to import the resource js file as follows:
You can use following code to switch language package
When you want to change another language, please recalculate the spread formula by calling the following code:
Language Package Effection
Function name resource like 'SUM' will changes to 'SOMME' in French.
Table function name resource like '#ALL, #Data' will changes to '#Tout, #Données' in French.
Special function logic like 'LENB' will be different result in different language.
CalcError name resource like '#NULL!' will be '#NOM?' in French.
Boolean value resource like 'FALSE' will be 'FAUX' in French.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-languagepackages';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 130);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 70);
sheet.setColumnWidth(5, 100);
const source = [
{ Course: "Calculus", Term: 1, Credit: 5, Score: 80, Teacher: "Nancy Feehafer" },
{ Course: "P.E.", Term: 1, Credit: 3.5, Score: 85, Teacher: "Andrew Cencini" },
{ Course: "Political Economics", Term: 1, Credit: 3.5, Score: 95, Teacher: "Jan Kotas" },
{ Course: "Basic of Computer", Term: 1, Credit: 2, Score: 85, Teacher: "Steven Thorpe" },
{ Course: "Micro-Economics", Term: 1, Credit: 4, Score: 62, Teacher: "Jan Kotas" },
{ Course: "Linear Algebra", Term: 2, Credit: 5, Score: 73, Teacher: "Nancy Feehafer" },
{ Course: "Accounting", Term: 2, Credit: 3.5, Score: 86, Teacher: "Nancy Feehafer" },
{ Course: "Statistics", Term: 2, Credit: 5, Score: 85, Teacher: "Robert Zare" },
{ Course: "Marketing", Term: 2, Credit: 4, Score: 70, Teacher: "Laura Giussani" }
];
sheet.tables.addFromDataSource("Table1", 2, 1, source, GC.Spread.Sheets.Tables.TableThemes.medium7);
sheet.setValue(0, 1, "Switch the language and check the SUM formula changes");
sheet.setValue(13, 2, "SUM:");
sheet.setFormula(13, 3, "=SUM(Table1[[#Data], [Credit]])");
sheet.setFormula(13, 4, "=FORMULATEXT(D14)");
sheet.getRange(13, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(13, 4, 1, 3);
sheet.setValue(15, 2, "LENB:");
sheet.setFormula(15, 3, '=LENB("SpreadJS")');
sheet.setFormula(15, 4, "=FORMULATEXT(D16)");
sheet.getRange(15, 4, 1, 3)
.foreColor("rgb(130, 188, 0)");
sheet.addSpan(15, 4, 1, 3);
spread.resumePaint();
}
applyLanguage($event: Event) {
let languageName = ($event.target as HTMLSelectElement).value;
GC.Spread.CalcEngine.LanguagePackages.languagePackages(languageName);
this.spread.sheets[0].recalcAll(true);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Please choose one language from the drop-down list and check the localized function changes.
<select id="languageSelect" class="drop-down-list" (change)="applyLanguage($event)">
<option value="en">English</option>
<option value="zh">China</option>
<option value="ja">Japan</option>
<option value="ko">Korea/Korean </option>
<option value="fr">French</option>
<option value="nl">Dutch</option>
<option value="de">German</option>
<option value="es">Spanish</option>
<option value="pt">Portuguese</option>
<option value="ru">Russian</option>
<option value="sv">Swedish</option>
<option value="it">Italian</option>
<option value="da">Danish</option>
<option value="pl">Polish</option>
<option value="fi">Finnish</option>
<option value="no">Norwegian</option>
<option value="cs">Czech </option>
<option value="hu">Hungarian</option>
<option value="tr">Turkish</option>
</select>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
margin-bottom: 12px;
}
.drop-down-list {
margin-top: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-languagepackages': 'cdn:@mescius/spread-sheets-languagepackages/index.js',
'@mescius/spread-sheets-angular': 'cdn:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);